Bug 1914371 - issues with pulp migration on 6.9
Summary: issues with pulp migration on 6.9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.0
Assignee: Justin Sherrill
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-08 16:49 UTC by Justin Sherrill
Modified: 2021-12-01 08:44 UTC (History)
5 users (show)

Fixed In Version: rubygem-foreman_maintain-0.7.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 14:48:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31592 0 Normal Closed issues with pulp migration on 6.9 2021-02-10 19:28:18 UTC
Red Hat Product Errata RHBA-2021:1312 0 None None None 2021-04-21 14:48:29 UTC

Description Justin Sherrill 2021-01-08 16:49:49 UTC
this needs to be done:

* Move pulpcore services into class methods
  This allows referencing them even if the services
  are disabled.
* Also moves redis out of the 'migration' services,
  since its running regardless
* Do not look for a 6.10 scenario for prep_6_10_upgrade

Comment 1 Justin Sherrill 2021-01-08 16:49:53 UTC
Created from redmine issue https://projects.theforeman.org/issues/31592

Comment 2 Justin Sherrill 2021-01-08 16:49:54 UTC
Upstream bug assigned to jsherril

Comment 3 Justin Sherrill 2021-01-08 16:53:50 UTC
Foreman maintain 0.7.3 should have this when released.

Comment 8 Lai 2021-01-27 19:32:57 UTC
Forgot to include this:

Verified on 6.9.0 snap 10.  I also see pulp-core included: python3-pulpcore-3.7.3-1.el7pc.noarch

Comment 11 errata-xmlrpc 2021-04-21 14:48:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.9 Satellite Maintenance Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1312


Note You need to log in before you can comment on or make changes to this bug.